import { Component, OnInit } from '@angular/core';
import {ContentType, Language, Region, Sector} from "../../model/resource";
import {ResourceService} from "../../service/resource.service";

@Component({
  selector: 'app-add-resource',
  templateUrl: './add-resource.component.html',
  styleUrls: ['./add-resource.component.css']
})
export class AddResourceComponent implements OnInit {
  sectors: Sector[] = [];
  regions: Region[] = [];
  contentTypes: ContentType[] = [];
  languages: Language[] = [];
  constructor(private resourceService:ResourceService) { }

  ngOnInit(): void {
    this.sectors = this.resourceService.getAllSectors();
    this.regions = this.resourceService.getAllRegions();
    this.contentTypes = this.resourceService.getAllContentTypes();
    this.languages = this.resourceService.getAllLanguages();
  }

}
