import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import resources from '../json_mockup/resources.json';
import sectors from '../json_mockup/sectors.json'
import regions from '../json_mockup/regions.json'
import types from '../json_mockup/types.json'
import languages from '../json_mockup/language.json'
import keywords from '../json_mockup/keywords.json'



import {AppConfig} from "../../config/app.config";

@Injectable({
  providedIn: 'root'
})
export class ResourceService {

  private readonly _httpClient: HttpClient;

  public constructor(httpClient: HttpClient) {
    this._httpClient = httpClient;
  }
  public getAllResources() {
    //return this._httpClient.get<Resource[]>(`${AppConfig.ApiPaths.getAllResources}`);
    //this is just mockup of backend
    return resources;
  }
  public getAllSectors() {
    return sectors;
  }
  public getAllRegions() {
    return regions;
  }
  public getAllContentTypes() {
    return types;
  }
  public getAllLanguages() {
    return languages;
  }
  public getAllKeywords() {
    return keywords;
  }

}
